package com.amazon.kindle.sdcard

import com.amazon.kcp.application.UserSettingsController

/**
 * Simple class to check whether external sdcard is supported in Standalone or not.
 *
 * @author vasushar
 */
class StandaloneStorageLocationPreference(private val userSettings: UserSettingsController) : IStorageLocationPreference {

    // Feature is turned off behind DebugUtils#isSdCardSupportOnKfaEnabled().
    // Also see ExternalSDCardUtils#isExternalSDCardFeatureEnabled().
    override fun isExternalSDCardPreferred() = userSettings.isDownloadBooksToExternalSDCardEnabled

    override fun setExternalSDCardPreferred(isPreferred: Boolean) {
        userSettings.isDownloadBooksToExternalSDCardEnabled = isPreferred
    }
}
